# Class Mapper.MappedWrapper

java.lang.Object
org.apache.catalina.mapper.Mapper.MapElement<Wrapper>
org.apache.catalina.mapper.Mapper.MappedWrapper

Enclosing class:
  `Mapper`

protected static class Mapper.MappedWrapper extends Mapper.MapElement<Wrapper>
Represents a mapped wrapper.

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`jspWildCard`
Whether this is a JSP wildcard mapping.
`final boolean`
`resourceOnly`
Whether this is resource only.

### Fields inherited from class Mapper.MapElement

`name, object`

## Constructor Summary

Constructors
Constructor
Description
`MappedWrapper(String name, Wrapper wrapper, boolean jspWildCard, boolean resourceOnly)`
Constructor.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### jspWildCard

public final boolean jspWildCard
Whether this is a JSP wildcard mapping.

### resourceOnly

public final boolean resourceOnly
Whether this is resource only.

## Constructor Details

### MappedWrapper

public MappedWrapper(String name, Wrapper wrapper, boolean jspWildCard, boolean resourceOnly)
Constructor.

Parameters:
  `name` - The name of the wrapper
  `wrapper` - The wrapper
  `jspWildCard` - Whether it's a JSP wildcard
  `resourceOnly` - Whether it's resource only